using UnityEngine;
using UnityEngine.UI;

public class StaminaUI : MonoBehaviour
{
    public Image staminaFill;
    public PlayerController player;

    void Update()
    {
        staminaFill.fillAmount = Mathf.Lerp(
            staminaFill.fillAmount,
            (float)player.Stamina / player.maxStamina,
            Time.deltaTime * 10f
        );
    }
}
